Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## robocode.control
Class BattlefieldSpecification

    java.lang.Object
      robocode.control.BattlefieldSpecification

    public class BattlefieldSpecification

extends java.lang.Object

Defines a battlefield

Author:
  Mathew A. Nelson (original)

Constructor Summary
`BattlefieldSpecification()` Creates a standard 800 x 600 battlefield
`BattlefieldSpecification(int width, int height)` Creates a battlefield of any width and height.

Method Summary
`int` | `getHeight()` Gets the height of this battlefield.
`int` | `getWidth()` Gets the width of this battlefield.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BattlefieldSpecification

    public BattlefieldSpecification()

  Creates a standard 800 x 600 battlefield

### BattlefieldSpecification

    public BattlefieldSpecification(int width,
                                    int height)

  Creates a battlefield of any width and height.

  Parameters:
    `width` - Width of this battlefield
    `height` - Height of this battlefield

Method Detail

### getHeight

    public int getHeight()

  Gets the height of this battlefield.

  Returns:
    Returns the height of this battlefield.

### getWidth

    public int getWidth()

  Gets the width of this battlefield.

  Returns:
    Returns the width of this battlefield.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD